FreeMat

- Main Page
- Related Pages

ASINH Inverse Hyperbolic Sine Function

Section: Mathematical Functions

# Usage

Computes the inverse hyperbolic sine of its argument. The general syntax for its use is

      y = asinh(x)

where `x` is an `n`-dimensional array of numerical type.

# Internals

The `asinh` function is computed from the formula

where the `log` (and square root) is taken in its most general sense.

# Examples

Here is a simple plot of the inverse hyperbolic sine function

    --> x = -5:.01:5;
    --> plot(x,asinh(x)); grid('on');